lxi_discover_if(3)

NAME
lxi_discover_if - search for LXI devices on network via specified network interface

SYNOPSIS

#include <lxi.h>

int lxi_discover_if(lxi_info_t *info, const char *ifname, int timeout, lxi_discover_t type);

DESCRIPTION

The lxi_discover_if() function works exactly like lxi_discover() but adds an additional parameter ifname which specifies the name of the network interface to broadcast on when using the DISCOVER_VXI11 discovery type. The ifname parameter is ignored for other discovery types.

SEE ALSO
lxi_discover(3)